#!/bin/sh

set -e

cd $(dirname $0)

. ../../../common/config.sh
. ../../../common/log.sh

log_start "$0" "reports invalid ranges"

save_config

# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0

change_config

echo -n "Create an empty /var/log/faillog (it will not be restored)..."
> /var/log/faillog
echo "OK"

echo -n "faillog -l bad..."
faillog -l bad 2>tmp/faillog.err && exit 1 || {
	status=$?
}
echo "OK."

echo -n "Check returned status ($status)..."
test "$status" = "3"
echo "OK"

echo "faillog reported:"
echo "======================================================================="
cat tmp/faillog.err
echo "======================================================================="
echo -n "Check the usage message..."
diff -au data/faillog.err tmp/faillog.err
echo "message OK."
rm -f tmp/faillog.err

log_status "$0" "SUCCESS"
restore_config
trap '' 0

